Bug 468438 - List corruption in cmirror causes machine lock-up or cmirror processing stoppage
List corruption in cmirror causes machine lock-up or cmirror processing stoppage
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2008-10-24 14:33 EDT by Jonathan Earl Brassow
Modified: 2010-01-11 21:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 16:26:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2008-10-24 14:33:13 EDT
'commit e07369b28d7a569e742d80152ef10c9d42bc2650' introduced a bug where a tfr struct would get added to one queue (cluster_queue) before being removed from another (x->delay_queue).

This causes a variety of issues, including:
- machine hang (if clogd is in real time scheduling mode)
- LVM/dmsetup command hangs
- sync stoppage
... and any number of things that can result from corrupted list or lost requests.
Comment 1 Jonathan Earl Brassow 2008-10-27 18:58:19 EDT
commit cc5877e65fad20dd8657881a7ca7361e6e4c08bf
Author: Jonathan Brassow <jbrassow@redhat.com>
Date:   Fri Oct 24 13:42:06 2008 -0500

    clogd: Fix for bug 468438 - list corruption

    'commit e07369b28d7a569e742d80152ef10c9d42bc2650' introduced the
    concept of a delay queue to hold requests while membership changes
    occurred.  Sometimes, a request would be added to the delay_queue
    /and/ the cluster_queue, resulting in list corruption.  Depending
    on how the list was corrupted, infinite loops could occur, or
    requests could simply be lost.
Comment 7 errata-xmlrpc 2009-01-20 16:26:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.